# &kde; User's Manual

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2008-11-12
0.01.01
kded4
8

# `kded4`

&kde; daemon - triggers Sycoca database updates when needed.

## Synopsis

    kded4

    --help
    Generic options
    Qt-options
    KDE-options
    --check

## Description

`kded4` is responsible for creating the sycoca file, i.e. the binary cache of servicetypes, mimetypes, and services for a particular user.

It monitors the directories containing .desktop files. When a file is added/removed, it waits 5 seconds (in case of series of updates), and then launches `kbuildsycoca`.

## Generic Options

`--author`

  Show author information.

`--help`

  Show help about options.

`--help-all`

  Show all options.

`--help-kde`

  Show KDE specific options.

`--help-qt`

  Show Qt specific options.

`--license`

  Show license information.

`-v` `--version`

  Show version information

## Application Options

`--check`

  Check Sycoca database only once.

## Usage

If `kded4` is called without parameters and is already running, it shows the message:

    KDE Daemon (kded) already running.

If `kded4` is called with `kded4 --check`, then it updates the &kde; sycoca using `kbuildsycoca`.

## See Also

kdeoptions(7), qtoptions(7), kbuildsycoca(8)

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.